Bug 118660 - [patch] x11/xkeyboard-config pkg-plist error prevents install
Summary: [patch] x11/xkeyboard-config pkg-plist error prevents install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-13 14:50 UTC by Warren Block
Modified: 2008-02-27 18:20 UTC (History)
0 users

See Also:


Attachments
file.diff (602 bytes, patch)
2007-12-13 14:50 UTC, Warren Block
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Warren Block 2007-12-13 14:50:01 UTC
The "compiled" directory of xkb is listed as a file in the port's pkg-plist.  The deinstall can't remove it, and subsequent installs fail because the post-install ln -s fails:

gmake[1]: Leaving directory /usr/ports/x11/xkeyboard-config/work/xkeyboard-config-1.0'
/bin/mkdir -p /var/lib/xkb
/bin/ln -s /var/lib/xkb /usr/local/share/X11/xkb/compiled
ln: /usr/local/share/X11/xkb/compiled/xkb: File exists
*** Error code 1

Stop in /usr/ports/x11/xkeyboard-config.

Fix: Manually remove the "compiled" directory before install:

rm -rf /usr/local/share/X11/xkb/compiled

Correct the port's pkg-plist with the attached patch.

Patch attached with submission follows:
How-To-Repeat: Attempt to install or upgrade the latest version of the port after a previous version was present.
Comment 1 Edwin Groothuis freebsd_committer 2007-12-13 20:52:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Florent Thoumie freebsd_committer 2008-01-02 14:22:00 UTC
State Changed
From-To: open->feedback

/usr/local/share/X11/xkb/compiled is a symlink here.  I don't see any 
problem with the packing list.
Comment 3 Florent Thoumie freebsd_committer 2008-01-03 16:08:52 UTC
State Changed
From-To: feedback->closed

Closed at submitter's request.
Comment 4 dfilter service freebsd_committer 2008-02-27 18:17:54 UTC
sat         2008-02-27 18:17:45 UTC

  FreeBSD ports repository

  Modified files:
    x11/xkeyboard-config Makefile 
  Log:
  - Force symlink creation
  
  PR:             ports/118660
  Reviewed by:    x11 (silencio)
  
  Revision  Changes    Path
  1.6       +1 -1      ports/x11/xkeyboard-config/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"